* {
  box-sizing: border-box;
}

body {
  color: #413f3f;
  background-color: #e5e5e5;
  margin: 0;
  padding: 0;
  font-size: 15px;
  font-weight: 400;
  font-style: normal;
  font-family: "Inter", sans-serif;
}

[type="checkbox"] {
  position: absolute;
  left: 0;
  opacity: 0.01;
}

[type="checkbox"] + label {
  position: relative;
  cursor: pointer;
  padding-left: 1.75rem;
  display: block;
}

[type="checkbox"]:checked + label {
  text-decoration: line-through;
  color: #b5b5ba;
}

[type="checkbox"] + label::before {
  content: "";
  display: inline-block;
  position: absolute;
  left: 0;
  top: calc(50% - 0.75rem / 1.5);
  height: 0.75rem;
  width: 0.75rem;
  background: transparent;
  border: 2px solid #c4c4c4;
  border-radius: 0.3rem;
}

[type="checkbox"]:checked + label::before {
  background: #b5b5ba;
  border: 2px solid #b5b5ba;
}

[type="checkbox"]:checked + label::after {
  content: "";
  display: inline-block;
  position: absolute;
  left: calc(0.75rem / 2.5);
  top: calc(50% - 0.75rem / 2.5);
  transform: rotate(45deg);
  height: 0.4rem;
  width: calc(0.4rem / 2);
  border-bottom: 2px solid #f4f4f4;
  border-right: 2px solid #f4f4f4;
}

[type="checkbox"]:disabled + label {
  color: rgba(65, 63, 63, 0.6);
  cursor: initial;
}

[type="checkbox"]:disabled + label::before {
  background: #e2e2e2;
  border: 2px solid #e2e2e2;
}
